Get playlist reach
Get playlist reach & count for a specific artist.
Available platforms are listed in the Get platforms for playlist data endpoint.
While the playlist count is available for all of these, playlist reach is only available for Spotify, Youtube, Deezer, Jiosaavn and Boomplay.
Playlist types are editorial (covers editorial & algotorial playlists), user (all user-generated playlists) and algorithmic.
Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.
Request
GET
/api/v2/artist/{uuid}/playlist/reach/{platform}
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | An artist UUID | Required |
| platform | string | A playlist platform code | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| type | string | Available values are : 'all' or one of editorial, user, algorithmic | Optional |
| startDate | string | Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. | Optional |
| endDate | string | Optional period end date (format YYYY-MM-DD) | Optional |
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A Playlist Reach Collection response |
Artist Playlist Reachs |
| 400 |
Bad Request
Invalid request |
|
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Artist Not Found |